Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class ClientObjAttribute

    java.lang.Object
      org.apache.cayenne.map.Attribute
          org.apache.cayenne.map.ObjAttribute
              org.apache.cayenne.map.ClientObjAttribute

All Implemented Interfaces:
  Serializable, CayenneMapEntry, XMLSerializable

    public class ClientObjAttribute

extends ObjAttribute

A client version of ObjAttribute that has some properties from DbAttribute that the client may want.

Since:
  3.0
Author:
  Tore Halset
See Also:
  Serialized Form

Field Summary
`protected boolean` | `mandatory`
`protected int` | `maxLength`

Fields inherited from class org.apache.cayenne.map.ObjAttribute
`dbAttributePath, type, usedForLocking`

Fields inherited from class org.apache.cayenne.map.Attribute
`entity, name`

Constructor Summary
`ClientObjAttribute()`
`ClientObjAttribute(String name)`
`ClientObjAttribute(String name, String type, ObjEntity entity)`

Method Summary
`int` | `getMaxLength()`
`boolean` | `isMandatory()`
`void` | `setMandatory(boolean mandatory)`
`void` | `setMaxLength(int maxLength)`

Methods inherited from class org.apache.cayenne.map.ObjAttribute
`encodeAsXML, getClientAttribute, getDbAttribute, getDbAttributeName, getDbAttributePath, getDbPathIterator, getJavaClass, getType, isCompound, isUsedForLocking, setDbAttribute, setDbAttributeName, setDbAttributePath, setType, setUsedForLocking`

Methods inherited from class org.apache.cayenne.map.Attribute
`getEntity, getName, getParent, setEntity, setName, setParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mandatory

    protected boolean mandatory

### maxLength

    protected int maxLength

Constructor Detail

### ClientObjAttribute

    public ClientObjAttribute()

### ClientObjAttribute

    public ClientObjAttribute(String name,
                              String type,
                              ObjEntity entity)

### ClientObjAttribute

    public ClientObjAttribute(String name)

Method Detail

### isMandatory

    public boolean isMandatory()

  See Also:
    `DbAttribute.isMandatory()`

### setMandatory

    public void setMandatory(boolean mandatory)

### getMaxLength

    public int getMaxLength()

  See Also:
    `DbAttribute.getMaxLength()`

### setMaxLength

    public void setMaxLength(int maxLength)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.